Account

Change my password

POST/api/me/password

Verifies the current password and replaces it with the supplied new password.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Request body

NameTypeDescription
currentPasswordrequiredstringCurrent account password.
newPasswordrequiredstringNew password to set for the account.
Example request

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
idrequiredstringUnique identifier of the resource.
rolerequiredstringPermission role assigned to the user.
usernamerequiredstringUsername of the account.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL